package com.ruoyi.project.training.service;

import java.util.List;
import com.ruoyi.project.training.domain.TNewemployee;

/**
 * 新员工培训Service接口
 * 
 * @author ruoyi
 * @date 2020-12-08
 */
public interface ITNewemployeeService 
{
    /**
     * 查询新员工培训
     * 
     * @param id 新员工培训ID
     * @return 新员工培训
     */
    public TNewemployee selectTNewemployeeById(Long id);

    /**
     * 查询新员工培训列表
     * 
     * @param tNewemployee 新员工培训
     * @return 新员工培训集合
     */
    public List<TNewemployee> selectTNewemployeeList(TNewemployee tNewemployee);

    /**
     * 新增新员工培训
     * 
     * @param tNewemployee 新员工培训
     * @return 结果
     */
    public int insertTNewemployee(TNewemployee tNewemployee);

    /**
     * 修改新员工培训
     * 
     * @param tNewemployee 新员工培训
     * @return 结果
     */
    public int updateTNewemployee(TNewemployee tNewemployee);

    /**
     * 批量删除新员工培训
     * 
     * @param ids 需要删除的新员工培训ID
     * @return 结果
     */
    public int deleteTNewemployeeByIds(Long[] ids);

    /**
     * 删除新员工培训信息
     * 
     * @param id 新员工培训ID
     * @return 结果
     */
    public int deleteTNewemployeeById(Long id);
}
